%global packname  listenv
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.7.0
Release:          1%{?dist}
Summary:          Environments Behaving (Almost) as Lists

License:          LGPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:
# Suggests:  R-R.utils, R-R.rsp, R-markdown
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-R.utils
BuildRequires:    R-R.rsp
BuildRequires:    R-markdown

%description
List environments are environments that have list-like properties.  For
instance, the elements of a list environment are ordered and can be
accessed and iterated over using index subsetting, e.g. 'x <- listenv(a =
1, b = 2); for (i in seq_along(x)) x[[i]] <- x[[i]] ^ 2; y <- as.list(x)'.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Thu Apr 26 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.7.0-1
- initial package for Fedora
